<?php
/***************************************************************************
 *                              obmen.php
 *                            -------------------
 *  Полнлценный модуль Файлобменника под phpBB-WAP
 *	Автор модуля: SatanHell
 *  2011 год
 ***************************************************************************/

define('IN_PHPBB', 1);
$no_page_header = TRUE;
$phpbb_root_path = './../';

if( !empty($setmodules) )
{
	$filename = basename(__FILE__);
$module['Файлобменник']['Модераторы'] = $filename;

	return;
}

require($phpbb_root_path . 'extension.inc');
require('./pagestart.' . $phpEx);
require('./page_header_admin.'.$phpEx);
include($phpbb_root_path . 'includes/functions_obmen.'.$phpEx);
$id = isset($_REQUEST['id']) ? abs(intval($_REQUEST['id'])) : false;
$mod = isset($_REQUEST['mod']) ? trim($_REQUEST['mod']) : false;

switch($mod)
{
case 'search':
if(empty($_POST['username']))
{
message_die(GENERAL_MESSAGE, 'Вы не ввели имя пользователя!<p><a href="'.append_sid('admin_obmen_moders.'.$phpEx.'?o='.rand(1000,9999)).'">Вернуться на главную страницу управления модераторами</a></p><p><a href="'.append_sid('index.'.$phpEx.'?pane=left').'">Вернуться на главную страницу администраторского раздела</a></p>');
} 
$search = mysql_real_escape_string(trim(htmlspecialchars($_POST['username'])));
$total = mysql_result(mysql_query("SELECT COUNT(*) FROM `" . USERS_TABLE . "` WHERE `user_id` > '1' AND `username`LIKE '%".$search."%';"),0);
if(!$total)
{
message_die(GENERAL_MESSAGE, 'Никого не найдено!<p><a href="'.append_sid('admin_obmen_moders.'.$phpEx.'?o='.rand(1000,9999)).'">Вернуться на главную страницу управления модераторами</a></p><p><a href="'.append_sid('index.'.$phpEx.'?pane=left').'">Вернуться на главную страницу администраторского раздела</a></p>');
}
$sql = "SELECT*FROM `" . USERS_TABLE . "` WHERE `user_id` > '1' AND `username`LIKE '%".$search."%'";
	if ( !($result = $db->sql_query($sql)) )
	{
		message_die(GENERAL_ERROR, 'Could not get users information', '', __LINE__, __FILE__, $sql);
	}
echo '<table width="100%" cellpadding="4" cellspacing="0" border="0" class="forumline"><tr><td class="catSides"><span class="cattitle">Найдено '.$total.'</span></td></tr>';
	while($ank = $db->sql_fetchrow($result))
{
echo '<tr><td class="row1"><a href="'.append_sid('admin_obmen_moders.'.$phpEx.'?mod=view&amp;id='.$ank['user_id']).'">'.$ank['username'].'</a></td></tr>'; 		
}
echo '</table><p><a href="'.append_sid('admin_obmen_moders.'.$phpEx.'?o='.rand(1000,9999)).'">Вернуться на главную страницу управления модераторами</a></p><p><a href="'.append_sid('index.'.$phpEx.'?pane=left').'">Вернуться на главную страницу администраторского раздела</a></p>'; 
break;
case 'view':
$sql = "SELECT*FROM `" . USERS_TABLE . "` WHERE `user_id`='".$id."'";
	if ( !($result = $db->sql_query($sql)) )
	{
		message_die(GENERAL_ERROR, 'Could not get users information', '', __LINE__, __FILE__, $sql);
	}
	

if(!mysql_num_rows($result))
{
message_die(GENERAL_MESSAGE, 'Пользователя не существует!<p><a href="'.append_sid('admin_obmen_moders.'.$phpEx.'?o='.rand(1000,9999)).'">Вернуться на главную страницу управления модераторами</a></p><p><a href="'.append_sid('index.'.$phpEx.'?pane=left').'">Вернуться на главную страницу администраторского раздела</a></p>');
}
$ank = $db->sql_fetchrow($result);
if($ank['user_level'] == ADMIN)
{
message_die(GENERAL_MESSAGE, 'Пользователь уже является админом сайта!<p><a href="'.append_sid('admin_obmen_moders.'.$phpEx.'?o='.rand(1000,9999)).'">Вернуться на главную страницу управления модераторами</a></p><p><a href="'.append_sid('index.'.$phpEx.'?pane=left').'">Вернуться на главную страницу администраторского раздела</a></p>');
}
if(isset($_POST['submit']))
{

$sql = "UPDATE `" . USERS_TABLE . "` SET `obmen_level` = '".abs(intval($_POST['obmen_level']))."' WHERE `user_id` = '".$ank['user_id']."' LIMIT 1";
	if ( !($result = $db->sql_query($sql)) )
	{
		message_die(GENERAL_ERROR, 'Could not get users information', '', __LINE__, __FILE__, $sql);
	}
message_die(GENERAL_MESSAGE, 'Права доступа изменены!<p><a href="'.append_sid('admin_obmen_moders.'.$phpEx.'?o='.rand(1000,9999)).'">Вернуться на главную страницу управления модераторами</a></p><p><a href="'.append_sid('index.'.$phpEx.'?pane=left').'">Вернуться на главную страницу администраторского раздела</a></p>');

}
echo '<form action="'.append_sid('admin_obmen_moders.'.$phpEx.'?mod=view&amp;id='.$ank['user_id']).'" method="post" />';
echo '<table width="100%" cellpadding="4" cellspacing="0" border="0" class="forumline"><tr><td class="catSides"><span class="cattitle">Изменение прав доступа</span></td></tr><tr><td class="row1"><b>Пользователь:</b> '.$ank['username'].'</td></tr><tr><td class="row1">Статус в файлобменнике:<br/>
<select name="obmen_level">
<option value="0"' . ($ank['obmen_level']==0 ? ' selected="selected"' : '') . '>Юзер</option>
<option value="1"' . ($ank['obmen_level']==1 ? ' selected="selected"' : '') . '>Модератор</option>
</select>
</td></tr></table><p><input type="submit" name="submit" value="Изменить права доступа"/></form></p><p><a href="'.append_sid('admin_obmen_moders.'.$phpEx.'?o='.rand(1000,9999)).'">Вернуться на главную страницу управления модераторами</a></p><p><a href="'.append_sid('index.'.$phpEx.'?pane=left').'">Вернуться на главную страницу администраторского раздела</a></p>';

break;
default:
$total = mysql_result(mysql_query("SELECT COUNT(*) FROM `" . USERS_TABLE . "` WHERE `obmen_level` = '1';"),0);
echo '<table width="100%" cellpadding="4" cellspacing="0" border="0" class="forumline"><tr><td class="catSides"><span class="cattitle">Модераторы файлобменника</span></td></tr>';
if($total)
{
$sql = "SELECT * FROM `" . USERS_TABLE . "` WHERE `obmen_level` = '1'";
	if ( !($result = $db->sql_query($sql)) )
	{
		message_die(GENERAL_ERROR, 'Ошибка', '', __LINE__, __FILE__, $sql);
	}
		while ($user = $db->sql_fetchrow($result))
		{
echo '<tr><td class="row1"><a href="'.append_sid('admin_obmen_moders.'.$phpEx.'?mod=view&amp;id='.$user['user_id']).'">'.$user['username'].'</a></td>'; 		
}
}
else
{
echo '<tr><td class="row1">Модераторов нет</td></tr>';
}

echo '<tr>
<td class="catSides">
<span class="cattitle">Назначить модератора</span>
</td>
</tr>
<form action="'.append_sid('admin_obmen_moders.'.$phpEx.'?mod=search').'" method="post" />
<tr>
<td class="row1">
Имя пользователя:<br/>
<input type="text" name="username">
</td>
</tr>
</table><p>
<input type="submit" name="submit" value="Отправить" />
</form>
</p><p><a href="'.append_sid('index.'.$phpEx.'?pane=left').'">Вернуться на главную страницу администраторского раздела</a></p>';
}
include('./page_footer_admin.'.$phpEx);
?>